Avro C++

Public Types | Public Member Functions | List of all members
avro::GenericArray Class Reference

The generic container for Avro arrays. More...

`#include <GenericDatum.hh>`

Inheritance diagram for avro::GenericArray:

## Public Types
typedef std::vector< GenericDatum > | Value
| The contents type for the array.

## Public Member Functions
| GenericArray (const NodePtr &schema)
| Constructs a generic array corresponding to the given schema `schema`, which should be of Avro type array.
const Value & | value () const
| Returns the contents of this array.
Value & | value ()
| Returns the reference to the contents of this array.
Public Member Functions inherited from avro::GenericContainer
const NodePtr & | schema () const
| Returns the schema for this object.

## Additional Inherited Members
Protected Member Functions inherited from avro::GenericContainer
| GenericContainer (Type type, const NodePtr &s)
| Constructs a container corresponding to the given schema.

## Detailed Description

The generic container for Avro arrays.

The documentation for this class was generated from the following file:

- api/GenericDatum.hh